Subject: Re: rename detection limit checking, cherry picking, and git am -3

From: Junio C Hamano <[email-masked]>
Date: Sun, 16 Sep 2007 21:27:46 -0700

"Shawn O. Pearce" <[email-masked]> writes:

> I actually don't see why cherry-pick can't be defined in terms
> of `format-patch|am -3`.  It probably would be faster in almost
> all cases.

Heh, people often suggested that rebase should get --merge as
default, and I resisted that.

I think it would make sense to do the consolidated backend for
rebase, revert, cherry-pick and am (I have been tentatively
calling this "git replay") primarily based on the "patch with
fallback to 3-way" like format-patch piped to "am -3", with an
option to do merge-recursive.